import { z } from "zod";
export * from "./connect_provider.js";
export * from "./disconnect_provider.js";
export * from "./initialize.js";
export * from "./request_dimensions.js";
export * from "./request_termination.js";
export declare const UIExtensionSurfaceEventSchema: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_SURFACE::CONNECT_PROVIDER">;
    data: z.ZodDefault<z.ZodOptional<z.ZodObject<{
        additionalAuthURLQueryParams: z.ZodDefault<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
    }, "strip", z.ZodTypeAny, {
        additionalAuthURLQueryParams: Record<string, string>;
    }, {
        additionalAuthURLQueryParams?: Record<string, string> | undefined;
    }>>>;
}, "strip", z.ZodTypeAny, {
    data: {
        additionalAuthURLQueryParams: Record<string, string>;
    };
    type: "NF::EUI_SURFACE::CONNECT_PROVIDER";
}, {
    type: "NF::EUI_SURFACE::CONNECT_PROVIDER";
    data?: {
        additionalAuthURLQueryParams?: Record<string, string> | undefined;
    } | undefined;
}>, z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_SURFACE::DISCONNECT_PROVIDER">;
    data: z.ZodDefault<z.ZodOptional<z.ZodObject<{
        connectionID: z.ZodDefault<z.ZodOptional<z.ZodNullable<z.ZodString>>>;
    }, "strip", z.ZodTypeAny, {
        connectionID: string | null;
    }, {
        connectionID?: string | null | undefined;
    }>>>;
}, "strip", z.ZodTypeAny, {
    data: {
        connectionID: string | null;
    };
    type: "NF::EUI_SURFACE::DISCONNECT_PROVIDER";
}, {
    type: "NF::EUI_SURFACE::DISCONNECT_PROVIDER";
    data?: {
        connectionID?: string | null | undefined;
    } | undefined;
}>, z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_SURFACE::INITIALIZE">;
    data: z.ZodDefault<z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>>;
}, "strip", z.ZodTypeAny, {
    data: {};
    type: "NF::EUI_SURFACE::INITIALIZE";
}, {
    type: "NF::EUI_SURFACE::INITIALIZE";
    data?: {} | undefined;
}>, z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_SURFACE::REQUEST_DIMENSIONS">;
    data: z.ZodObject<{
        dimensions: z.ZodObject<{
            height: z.ZodNumber;
            width: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            height: number;
            width: number;
        }, {
            height: number;
            width: number;
        }>;
    }, "strip", z.ZodTypeAny, {
        dimensions: {
            height: number;
            width: number;
        };
    }, {
        dimensions: {
            height: number;
            width: number;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        dimensions: {
            height: number;
            width: number;
        };
    };
    type: "NF::EUI_SURFACE::REQUEST_DIMENSIONS";
}, {
    data: {
        dimensions: {
            height: number;
            width: number;
        };
    };
    type: "NF::EUI_SURFACE::REQUEST_DIMENSIONS";
}>, z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_SURFACE::REQUEST_TERMINATION">;
    data: z.ZodDefault<z.ZodOptional<z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>>>;
}, "strip", z.ZodTypeAny, {
    data: {};
    type: "NF::EUI_SURFACE::REQUEST_TERMINATION";
}, {
    type: "NF::EUI_SURFACE::REQUEST_TERMINATION";
    data?: {} | undefined;
}>]>;
export type UIExtensionSurfaceEvent = z.output<typeof UIExtensionSurfaceEventSchema>;
//# sourceMappingURL=main.d.ts.map